---
title: StorageManager.persisted()
slug: Web/API/StorageManager/persisted
tags:
  - Method
  - Reference
  - Secure context
  - Storage API
  - persisted()
---
<p>{{securecontext_header}}{{APIRef("Storage")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The <strong><code>persisted()</code></strong> method of the {{domxref("StorageManager")}} interface returns a {{jsxref('Promise')}} that resolves to <code>true</code> if box mode is persistent for your site's storage.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">navigator.storage.persisted().then(function(persistent) { ... })</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref('Promise')}} that resolves to a {{jsxref('Boolean')}}.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js"><code>if (navigator.storage &amp;&amp; navigator.storage.persist)
  navigator.storage.persisted().then(function(persistent) {
    if (persistent)
      console.log("Storage will not be cleared except by explicit user action");
    else
      console.log("Storage may be cleared by the UA under storage pressure.");
  });</code></pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Storage','#dom-storagemanager-persisted','persisted')}}</td>
   <td>{{Spec2('Storage')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.StorageManager.persisted")}}</p>
